Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.impl
Class InterceptorAspectImpl

    java.lang.Object
      net.sf.joyaop.impl.InterceptorAspectImpl

All Implemented Interfaces:
  java.lang.Comparable, Aspect, InterceptorAspect, RuntimeAspect

    public class InterceptorAspectImpl

extends java.lang.Object
implements InterceptorAspect, java.lang.Comparable

Author:
  Shen Li

Field Summary

Fields inherited from interface net.sf.joyaop.framework.RuntimeAspect
`CLASS_SCOPE, INSTANCE_SCOPE, JVM_SCOPE, THREAD_SCOPE`

Constructor Summary
`InterceptorAspectImpl()`

Method Summary
`int` | `compareTo(java.lang.Object object)`
`boolean` | `equals(java.lang.Object object)`
`java.lang.Class` | `getAspectClass()`
`java.util.Map` | `getParameters()`
`Pointcut` | `getPointcut()`
`int` | `getPrecedence()`
`java.lang.String` | `getScope()`
`int` | `hashCode()`
`void` | `setAspectClass(java.lang.Class aspectClass)`
`void` | `setParameters(java.util.Map parameters)`
`void` | `setPointcut(Pointcut pointcut)`
`void` | `setPrecedence(int precedence)`
`void` | `setScope(java.lang.String scope)`
`void` | `weave(AspectizedClass aspectizedClass)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.joyaop.framework.RuntimeAspect
`getParameters, getScope, setParameters, setScope`

Methods inherited from interface net.sf.joyaop.framework.Aspect
`getAspectClass, getPointcut, setAspectClass, setPointcut`

Constructor Detail

### InterceptorAspectImpl

    public InterceptorAspectImpl()

Method Detail

### weave

    public void weave(AspectizedClass aspectizedClass)

  Specified by:
    `weave` in interface `Aspect`

### getPrecedence

    public int getPrecedence()

  Specified by:
    `getPrecedence` in interface `InterceptorAspect`

### setPrecedence

    public void setPrecedence(int precedence)

  Specified by:
    `setPrecedence` in interface `InterceptorAspect`

### compareTo

    public int compareTo(java.lang.Object object)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getParameters

    public java.util.Map getParameters()

### setParameters

    public void setParameters(java.util.Map parameters)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getPointcut

    public Pointcut getPointcut()

  Specified by:
    `getPointcut` in interface `Aspect`

### setPointcut

    public void setPointcut(Pointcut pointcut)

  Specified by:
    `setPointcut` in interface `Aspect`

### getAspectClass

    public java.lang.Class getAspectClass()

  Specified by:
    `getAspectClass` in interface `Aspect`

### setAspectClass

    public void setAspectClass(java.lang.Class aspectClass)

  Specified by:
    `setAspectClass` in interface `Aspect`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD